Name:           synthclone
%if %{defined fedora}
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsndfile-devel
BuildRequires:  lilv-devel
BuildRequires:  serd-devel
BuildRequires:  sord-devel
BuildRequires:  suil-devel
BuildRequires:  qt-devel
%else
BuildRequires:  fdupes
BuildRequires:  libsndfile-devel
BuildRequires:  libjack-devel
BuildRequires:  liblilv-devel
BuildRequires:  libserd-devel
BuildRequires:  libsord-devel
BuildRequires:  libsuil-devel
BuildRequires:  libqt4-devel
%endif
BuildRequires:  libsamplerate-devel
BuildRequires:  portaudio-devel
BuildRequires:  portmidi-devel
BuildRequires:  libarchive-devel
BuildRequires:  libzip-devel
BuildRequires:  python
BuildRequires:  doxygen
BuildRequires:  graphviz
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

Url:            http://code.google.com/p/synthclone/
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
AutoReqProv:    on
Version:        0.3.0
Release:        1%{?dist}
Summary:        Synthesizer-cloning software
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.pc
Patch:          %{name}-desktop.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Synthclone is a tool that allows you to create sample-based instruments.
You can create sample-based instruments by sending MIDI messages to your MIDI-
capable gear or software that instructs an instrument to emit sounds for a
series of notes, velocities, controls, and aftertouch values, or by recording
your own samples. After the sampling is done, you can apply effects to your
samples, and finally save this data as a sample-based instrument that can be
loaded by sampler software.

Synthclone is free, open-source software, distributed under a dual-license
model. The plugin API and the API implementation (libsynthclone) are
distributed under the terms of the GNU Lesser General Public License. The
application, plugins, and everything else comprising synthclone are
distributed under the terms of the GNU General Public License.

AUTHOR:
-------
Devin Anderson <surfacepatterns@gmail.com>

%package doc
Summary:	API docs for %{name}
Group:		Documentation/Other
License:	GPL-2.0
Requires:	%{name} = %{version}-%{release}

%description doc
API Documentation needed when writing plugins for %{name}.

%package devel
Summary:	Development files for %{name}
Group:		Development/Languages/Other
License:	GPL-2.0
Requires:	%{name} = %{version}-%{release}

%description devel
Development files needed when writing plugins for %{name}.

%prep
%setup -q
%patch -p1

%build
%if %{defined fedora}
export PATH=${PATH}:%{_libdir}/qt4/bin
%endif
./configure --prefix=%{_prefix} --lib-dir=%{_libdir} --plugin-dir=%{_libdir}/%{name}/plugins
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
	make %{?jobs:-j%{jobs}}
%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# move icon to /usr/share/pixmaps
%__mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
%__mv $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# remove installed documentation (handled by %doc)
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

# replace processed .pc file by template (evaluated libdir contains build root)
%__rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc
%__cp %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

%if 0%{?suse_version}
%suse_update_desktop_file -i %{name} AudioVideo Music
%fdupes $RPM_BUILD_ROOT
%endif

%post
/sbin/ldconfig %{_libdir}/%{name}/plugins

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.GPL COPYING.LGPL COPYING.PA INSTALL README README.PACKAGING TODO
%doc resources/documentation/*
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%files doc
%defattr(-,root,root,-)
%doc resources/documentation/*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sun Apr 20 2014 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.3.0-1
- imported from opensuse factory into Planet CCRMA, reset release to 1

* Tue Dec 31 2013 Edgar Aichinger <edogawa@aon.at>
- initial release (version 0.3.0)
